Skip to content

BIN Numbers

This utility function returns card details. The BIN information is provided by First Data and normally updated weekly.

Get BIN details from card number

Request

Security
oauth2(Required scopes: bin.numbers:read) or bearerAuth or apiKeyHeader
Bodyapplication/jsonrequired
cardNumberstring^\d{4,}$

The card number. Must provide at least first 4 digits of the card number.

Example:"4111111111111111"
POST
/bin-numbers
curl -i -X POST \
  https://sandboxapi.peach.finance/api/bin-numbers \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "cardNumber": "4111111111111111"
  }'

Responses

Card Details

Bodyapplication/json
messagestring

Description of the server action or error.

statusinteger

HTTP status code.

dataobject
Response
{ "message": "string", "status": 0, "data": { "cardNetwork": "visa", "cardType": "debit", "issuer": "First United Bank", "lastUpdatedDate": "string" } }